#ifndef __gpmain_h__
#define __gpmain_h__

void GpMain(void *arg);
int  CanPut(void);
void DeleteRow(void);
void NewGame(void);
void EndGame(void);
void PlayGame(void);
void ClearBlock(int[4][4]);
void GenerateBlock(int, int[4][4]);
void GenerateNew(void);
void PutBlock(void);
void RotateBlockRight(void);
void RotateBlockLeft(void);
void DrawMap(void);
void DrawMenu(void);
void MainMenu(void);
void SelectLevel(void);
void SelectMode(void);

typedef struct {
	int score;
	char name[12];
} HISCORES;


#endif /*__gpmain_h__*/